## entangle-camera-preferences

entangle-camera-preferences

## Functions

EntangleCameraPreferences * | entangle_camera_preferences_new ()
void | entangle_camera_preferences_set_camera ()
EntangleCamera * | entangle_camera_preferences_get_camera ()
gchar ** | entangle_camera_preferences_get_controls ()
void | entangle_camera_preferences_set_controls ()

## Properties

EntangleCamera * | camera | Read / Write

## Types and Values

#define | ENTANGLE_TYPE_CAMERA_PREFERENCES
| EntangleCameraPreferences

## Object Hierarchy

        GObject
        ╰── EntangleCameraPreferences

## Description

## Functions

### entangle_camera_preferences_new ()

    EntangleCameraPreferences *
    entangle_camera_preferences_new (void);

### entangle_camera_preferences_set_camera ()

    void
    entangle_camera_preferences_set_camera
                                   (EntangleCameraPreferences *preferences,
                                    EntangleCamera *camera);

Set the camera to display cameras for

#### Parameters

preferences | the camera widget |
camera | the camera to display cameras for, or NULL. | [transfer none][allow-none]

### entangle_camera_preferences_get_camera ()

    EntangleCamera *
    entangle_camera_preferences_get_camera
                                   (EntangleCameraPreferences *preferences);

Get the camera whose cameras are displayed

#### Parameters

preferences | the camera widget |

#### Returns

the camera or NULL.

[transfer none]

### entangle_camera_preferences_get_controls ()

    gchar **
    entangle_camera_preferences_get_controls
                                   (EntangleCameraPreferences *prefs);

#### Parameters

prefs | the camera preferences. | [transfer none]

#### Returns

the list of controls.

[transfer full]

### entangle_camera_preferences_set_controls ()

    void
    entangle_camera_preferences_set_controls
                                   (EntangleCameraPreferences *prefs,
                                    const gchar *const *controls);

#### Parameters

prefs | the camera preferences. | [transfer none]
controls | the list of controls. | [transfer none]

## Types and Values

### ENTANGLE_TYPE_CAMERA_PREFERENCES

    #define             ENTANGLE_TYPE_CAMERA_PREFERENCES

### EntangleCameraPreferences

    typedef struct _EntangleCameraPreferences EntangleCameraPreferences;

## Property Details

### The `“camera”` property

      “camera”                   EntangleCamera *

Camera to managed.

Owner: EntangleCameraPreferences

Flags: Read / Write